%global srcname requests-toolbelt
%global altname requests_toolbelt

Summary:        Utility belt for advanced users of python-requests
Name:           python-%{srcname}
Version:        1.0.0
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://toolbelt.readthedocs.io
Source0:        https://github.com/sigmavirus24/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%package -n python3-%{srcname}
Summary:        Utility belt for advanced users of python-requests
BuildRequires:  python3-devel python3-setuptools python3-betamax python3-pyOpenSSL
BuildRequires:  python3-pytest python3-requests
Requires:       python3-requests
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{altname}}

%description -n python3-%{srcname}
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%prep
%autosetup -p1 -n toolbelt-%{version}
sed -i -E -e 's/^(\s*)import mock/\1from unittest import mock/' \
          -e 's/^(\s*)from mock import /\1from unittest.mock import /' \
    tests/*.py tests/*/*.py


%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} -v --ignore=tests/test_x509_adapter.py -k "not test_stream_response_to_specific_filename and not test_stream_response_to_directory and not test_stream_response_to_existing_file and not test_stream_response_to_file_like_object and not test_stream_response_to_file_chunksize"

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst HISTORY.rst
%{python3_sitelib}/%{altname}/
%{python3_sitelib}/%{altname}-*.egg-info/

%changelog
* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.0-1
- Upgrade to version 1.0.0

* Tue Sep 19 2023 Miaojun Dong <zoedong@tencent.com> - 0.10.1-6
- Rebuild for pyOpenSSL-23.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Miaojun Dong <zoedong@tencent.com> - 0.10.1-1
- initial build
